<?php
/**
 * The Header for our theme
 *
 * Displays all of the <head> section and everything up till <div id="main">
 *
 * @package WordPress
 * @subpackage Twenty_Fourteen
 * @since Twenty Fourteen 1.0
 */
?><!DOCTYPE html>
<!--[if IE 7]>
<html class="ie ie7" <?php language_attributes(); ?>>
<![endif]-->
<!--[if IE 8]>
<html class="ie ie8" <?php language_attributes(); ?>>
<![endif]-->
<!--[if !(IE 7) & !(IE 8)]><!-->
<html <?php language_attributes(); ?>>
<!--<![endif]-->
<head>
	<meta charset="<?php bloginfo( 'charset' ); ?>">
	<meta name="viewport" content="width=device-width">
	<title><?php wp_title( '|', true, 'right' ); ?></title>
	<link rel="profile" href="http://gmpg.org/xfn/11">
	<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>">
	<!--[if lt IE 9]>
	<script src="<?php echo get_template_directory_uri(); ?>/js/html5.js"></script>
	<![endif]-->
	<script src="<?php echo get_template_directory_uri(); ?>/js/modernizr.js" type="text/javascript"></script>
		<!--Main Bootstrap styling-->
		<link rel="stylesheet" href="<?php echo get_template_directory_uri(); ?>/css/bootstrap.min.css">
		<!--Custom styling-->
		<link rel="stylesheet" href="<?php echo get_template_directory_uri(); ?>/css/style.css">
		<!--Iconic font - FontAwesome-->
		<link rel="stylesheet" href="<?php echo get_template_directory_uri(); ?>/netdna.bootstrapcdn.com/font-awesome/3.2.1/css/font-awesome.css">
		<!--Google font-->
		<link rel='stylesheet' href='http://fonts.googleapis.com/css?family=Raleway:200,400'>
		<!--Site thumbnail-->
		<link rel="image_src" href="<?php echo get_template_directory_uri(); ?>/thumbnail.png">
		<!--Browser tab icon aka Favicon-->
		<link rel="icon" type="<?php echo get_template_directory_uri(); ?>/image/ico" href="favicon.ico">
		<!-- HTML5 shim, for IE6-8 support of HTML5 elements. All other JS at the end of file. -->
		<!--[if lt IE 9]>
			<script src="js/html5shiv.js"></script>
		<![endif]-->
	<?php wp_head(); ?>
</head>
<body data-spy="scroll" data-target=".navbar" data-offset='61'>
		<div id="preloader">
			<div id="status">&nbsp;</div>
		</div>
	<!--start navigation-->
		<div class="navbar navbar-fixed-top" role="navigation">
			<div class="container" data-start="padding: 15px 0px;" data-200="padding: 0px 0px;">
				<button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-responsive-collapse">
					<span class="icon-bar"></span>
					<span class="icon-bar"></span>
					<span class="icon-bar"></span>
				</button>
				<a href="#intro" class="navbar-brand"><img class="img-responsive" src="http://localhost/Projects/Syndicate/wp-content/uploads/2015/03/PANDORA-Logo-2014.png" alt=""></a>
				<div class="nav-collapse collapse navbar-responsive-collapse">
					<ul class="nav navbar-nav">
						<li><a href="#intro">Home</a></li>
						<li><a href="#first">Promotions</a></li>
						<li><a href="#second">Products</a></li>
						<li><a href="#third">Collections</a></li>
						<li><a href="#fourth">Locations</a></li>
						
					</ul>
				</div>
				<!--	<a href="#intro" class="navbar-brand"><img class="img-responsive" src="<?php echo get_template_directory_uri(); ?>/img/logo.png" alt=""></a>
						<a href="#intro" class="navbar-brand"><img class="img-responsive" src="<?php echo get_template_directory_uri(); ?>/img/logo.png" alt=""></a>
							<a href="#intro" class="navbar-brand"><img class="img-responsive" src="<?php echo get_template_directory_uri(); ?>/img/logo.png" alt=""></a>
			--></div>
		</div>
	<!--end navigation-->